Support Questions
Find answers, ask questions, and share your expertise

Hue failed to start on machine which has Python 2.7.5 and HDP2.5, requires python 2.6.

Hi Team,

I have installed and configured HUE on cent-OS 7 machine, which is also a MASTER NODE in my hadoop cluster and this machine has python 2.7.5 available. Machine is up and running with HDP2.5 and I have installed HUE as a separate service because HDP2.5 was not having prebuild HUE service at the time of Hadoop Installation.

I have followed the below HUE Installation guide.

https://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.4.2/bk_installing_manually_book/content/ch_inst...

Now when I start HUE as '/etc/init.d/hue start' command it fails with following error.

[root@vmhgm2 bin]# /etc/init.d/hue status ● hue.service - SYSV: Hue web server Loaded: loaded (/etc/rc.d/init.d/hue) Active: failed (Result: exit-code) since Wed 2017-03-08 10:54:46 UTC; 11s ago Docs: man:systemd-sysv-generator(8) Process: 59405 ExecStart=/etc/rc.d/init.d/hue start (code=exited, status=127) Mar 08 10:54:46 vmhgm2 hue[59405]: /usr/bin/env: python2.6: No such file or directory Mar 08 10:54:46 vmhgm2 runuser[59407]: pam_unix(runuser:session): session closed for user hue Mar 08 10:54:46 vmhgm2 runuser[59417]: pam_unix(runuser:session): session opened for user hue by (uid=0) Mar 08 10:54:46 vmhgm2 hue[59405]: Starting hue: /usr/bin/env: python2.6: No such file or directory Mar 08 10:54:46 vmhgm2 runuser[59417]: pam_unix(runuser:session): session closed for user hue Mar 08 10:54:46 vmhgm2 hue[59405]: [FAILED] Mar 08 10:54:46 vmhgm2 systemd[1]: hue.service: control process exited, code=exited status=127 Mar 08 10:54:46 vmhgm2 systemd[1]: Failed to start SYSV: Hue web server. Mar 08 10:54:46 vmhgm2 systemd[1]: Unit hue.service entered failed state. Mar 08 10:54:46 vmhgm2 systemd[1]: hue.service failed.

Screenshot is also attached for reference.

hue-error.png

Please help me to get concrete solution for above problem.

1 REPLY 1

Super Mentor

@Abhishek Srivastava

Please see below link, HUE not supported on CentOS7 (Although you can have Python 2.6.6 or higher installed on the supported OS.)

http://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.5.0/bk_command-line-installation/content/before_...

http://docs.hortonworks.com/HDPDocuments/HDP2/HDP-2.5.3/bk_command-line-installation/content/before_...

.

1. Before You Begin
Before you begin your Hadoop installation, you must meet the following requirements.
Note: Hue can only connect to one Hadoop cluster.
    Ensure that you are using an operating system that supports Hue.
    The following 64-bit operating systems support Hue:
        CentOS 6
        Oracle Linux 6
        Red Hat Enterprise Linux (RHEL) 6
        SUSE Linux Enterprise Server  SLES